Loading...
Searching...
No Matches
Ui::CScreenQuit Class Reference
Inheritance diagram for Ui::CScreenQuit:
[legend]

## Public Member Functions

void | CreateInterface () override
bool | EventProcess (const Event &event) override

## Additional Inherited Members

Protected Member Functions inherited from Ui::CScreen
void | CreateVersionDisplay ()
void | SetBackground (const std::string &filename, bool scaled=false)
Protected Attributes inherited from Ui::CScreen
CRobotMain * | m_main
CInterface * | m_interface
CApplication * | m_app
CEventQueue * | m_eventQueue
Gfx::CEngine * | m_engine
CSoundInterface * | m_sound
const Math::Point | dim = Math::Point(32.0f/640.0f, 32.0f/480.0f)
const float | ox = 3.0f/640.0f
const float | oy = 3.0f/480.0f
const float | sx = (32.0f+2.0f)/640.0f
const float | sy = (32.0f+2.0f)/480.0f

## Member Function Documentation

## CreateInterface()

void Ui::CScreenQuit::CreateInterface | ( |  | ) |

override virtual

Implements Ui::CScreen.

## EventProcess()

bool Ui::CScreenQuit::EventProcess | ( | const Event & | event | ) |

override virtual

Implements Ui::CScreen.

The documentation for this class was generated from the following files:

- src/ui/screen/screen_quit.h
- src/ui/screen/screen_quit.cpp